
ChiliProject - Bug # 285: uninitialized constant ActiveSupport::Dependencies::Mutex on rake 
generate_session_store

Status: Duplicate Priority: Normal
Author: Vadim Lopatyuk Category:
Created: 2011-03-16 Assignee:
Updated: 2011-03-16 Due date:
Remote issue URL:
Affected version:
Description: When i try to make 

<pre>
rake generate_session_store
</pre>
i have an error
<pre>
rake aborted!
uninitialized constant ActiveSupport::Dependencies::Mutex
</pre>
*trace:*
<pre>
/usr/local/rvm/gems/ruby-1.8.7-p334/gems/rake-0.8.7/lib/rake.rb:2503:in `const_missing'
/usr/local/rvm/gems/ruby-1.8.7-p334/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:55
/usr/local/rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in 
`gem_original_require'
/usr/local/rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
/usr/local/rvm/gems/ruby-1.8.7-p334/gems/activesupport-2.3.5/lib/active_support.rb:56
/usr/local/rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in 
`gem_original_require'
/usr/local/rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
/usr/local/rvm/gems/ruby-1.8.7-p334/gems/rails-2.3.5/lib/tasks/misc.rake:18
/usr/local/rvm/gems/ruby-1.8.7-p334/gems/rails-2.3.5/lib/tasks/rails.rb:4:in `load'
/usr/local/rvm/gems/ruby-1.8.7-p334/gems/rails-2.3.5/lib/tasks/rails.rb:4
/usr/local/rvm/gems/ruby-1.8.7-p334/gems/rails-2.3.5/lib/tasks/rails.rb:4:in `each'
/usr/local/rvm/gems/ruby-1.8.7-p334/gems/rails-2.3.5/lib/tasks/rails.rb:4
/usr/local/rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in 
`gem_original_require'
/usr/local/rvm/rubies/ruby-1.8.7-p334/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
/var/www/work.lopatyuk.com/chiliproject/Rakefile:10
/usr/local/rvm/gems/ruby-1.8.7-p334/gems/rake-0.8.7/lib/rake.rb:2383:in `load'
/usr/local/rvm/gems/ruby-1.8.7-p334/gems/rake-0.8.7/lib/rake.rb:2383:in `raw_load_rakefile'
/usr/local/rvm/gems/ruby-1.8.7-p334/gems/rake-0.8.7/lib/rake.rb:2017:in `load_rakefile'
/usr/local/rvm/gems/ruby-1.8.7-p334/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
/usr/local/rvm/gems/ruby-1.8.7-p334/gems/rake-0.8.7/lib/rake.rb:2016:in `load_rakefile'
/usr/local/rvm/gems/ruby-1.8.7-p334/gems/rake-0.8.7/lib/rake.rb:2000:in `run'
/usr/local/rvm/gems/ruby-1.8.7-p334/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
/usr/local/rvm/gems/ruby-1.8.7-p334/gems/rake-0.8.7/lib/rake.rb:1998:in `run'
/usr/local/rvm/gems/ruby-1.8.7-p334/gems/rake-0.8.7/bin/rake:31
/usr/local/rvm/gems/ruby-1.8.7-p334/bin/rake:19:in `load'
/usr/local/rvm/gems/ruby-1.8.7-p334/bin/rake:19
</pre>
*gem list*
<pre>
actionmailer (2.3.5)
actionpack (2.3.5)
activerecord (2.3.5)
activeresource (2.3.5)
activesupport (2.3.5)
i18n (0.4.2)
kgio (2.3.3)
mysql (2.8.1)
rack (1.0.1)
rails (2.3.5)
rake (0.8.7)
unicorn (3.5.0)
</pre>

rails -v
Rails 2.3.5

ruby -v
ruby 1.8.7 (2011-02-18 patchlevel 334) [x86_64-linux]

chiliproject 1.1.0 Bell

History
2011-03-16 05:50 am - Vadim Lopatyuk
adding to Rakefile
<pre>
require 'thread'
</pre>
solve the problem

2011-03-16 06:40 am - Gregor Schmidt
- Status changed from Open to Closed

I guess, you are running RubyGems 1.6. RubyGems removed a @require 'thread'@ with that release. The fix - adding @require  'thread'@ was added 
to ChiliProject with commit:da45dfcc72b5a4235e9c which was right after the ChiliProject 1.1 release.

You may either 'downgrade RubyGems to a version < 1.6':https://github.com/rubygems/rubygems/blob/master/UPGRADING.rdoc or switch to using 
ChiliProject master.

Patching the ChiliProject sources in your local copy, like you just did, will of course also work, but make sure to mark all your changes. Otherwise, you 
will probably run into trouble, when you want to update ChiliProject.

Please re-open the ticket, if the problem reappears.

2011-03-16 09:09 am - Holger Just
- Status changed from Closed to Duplicate

ChiliProject version#4 is patched to work with rubygems <= 1.5.3. Only the current master works with rubygems 1.6.x too. This is because rubygems 
1.6. came out after ChiliProject version#4 was released. See [[Requirements]] for the up-to-date list of library requirements for the various releases.

See #251 for the patch.
